/**
 * XParticipationEntVrf.java
 *
 * File generated from the medication::XParticipationEntVrf uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationEntVrf.
 *
 * 
 */

@XmlType(name = "XParticipationEntVrf")
@XmlEnum
@XmlRootElement(name = "XParticipationEntVrf")
public enum XParticipationEntVrf {
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("ENT")
	ENT("ENT");
	
	private final String value;

    XParticipationEntVrf(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XParticipationEntVrf fromValue(String v) {
        for (XParticipationEntVrf c: XParticipationEntVrf.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}